package proto

import "errors"

type ErrJSONResponse struct {
    Message string `json:"message"`
}

type PeerExistsErr struct {
    PublicKey string
}

func (e PeerExistsErr) Error() string {
    return e.PublicKey
}

var PeerDoesNotExist = errors.New("Peer does not exist")

